package com.engine.jucailinkq.attendance.component.persongroup.cmd;

import com.engine.common.biz.AbstractCommonCommand;
import com.engine.common.entity.BizLogContext;
import com.engine.core.interceptor.CommandContext;
import com.engine.jucailinkq.attendance.component.persongroup.commonutil.PersongroupCommonUtil;
import com.engine.jucailinkq.common.util.DateUtil;
import com.engine.jucailinkq.common.util.DbTools;
import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import weaver.general.Util;

import java.util.List;
import java.util.Map;

public class GetManagerHavePersonCmd extends AbstractCommonCommand<Map<String,Object>> {
    public GetManagerHavePersonCmd(Map<String, Object> params){
        this.params=params;
    }
    @Override
    public BizLogContext getLogContext() {
        return null;
    }

    @Override
    public Map<String, Object> execute(CommandContext commandContext) {
        String sql = "select * from uf_ryqz where userfor=5";
        List<Map<String,Object>> personnelGrouping = DbTools.getSqlToList(sql);

        Map<String,Object> resultMap = Maps.newHashMap();
        List<Map<String,Object>> resultList = Lists.newArrayList();
        resultMap.put("resultList",resultList);
        for (Map<String,Object> personnelGroupMap : personnelGrouping){
            String fzgly = Util.null2String(personnelGroupMap.get("fzgly"));
            Map<String,Object> dataMap = Maps.newHashMap();
            dataMap.put("manager",fzgly);
            sql = "select a.list_type,b.mainid,b.empid,b.filters,b.bdate,b.edate,b.sqltj from uf_ryqz a left join uf_ryqz_dt1 b on a.id=b.mainid  where a.id=?";
            List<Map<String,Object>> list = DbTools.getSqlToList(sql,personnelGroupMap.get("id"));
            dataMap.put("personSet", PersongroupCommonUtil.getUserIdsByPersonnelGrouping(list, DateUtil.getCurrentDate()));
            resultList.add(dataMap);
        }
        return resultMap;
    }
}
